## GOArrow GOArrow |

## Functions

void | go_arrow_clear ()
GOArrow * | go_arrow_dup ()
void | go_arrow_init ()
void | go_arrow_init_kite ()
void | go_arrow_init_oval ()
char const * | go_arrow_type_as_str ()
GOArrowType | go_arrow_type_from_str ()

## Types and Values

| GOArrow
enum | GOArrowType

## Object Hierarchy

        GBoxed
        ╰── GOArrow

## Description

## Functions

### go_arrow_clear ()

    void
    go_arrow_clear (GOArrow *dst);

### go_arrow_dup ()

    GOArrow *
    go_arrow_dup (GOArrow *src);

#### Returns

### go_arrow_init ()

    void
    go_arrow_init (GOArrow *res,
                   GOArrowType typ,
                   double a,
                   double b,
                   double c);

### go_arrow_init_kite ()

    void
    go_arrow_init_kite (GOArrow *dst,
                        double a,
                        double b,
                        double c);

### go_arrow_init_oval ()

    void
    go_arrow_init_oval (GOArrow *dst,
                        double ra,
                        double rb);

### go_arrow_type_as_str ()

    char const *
    go_arrow_type_as_str (GOArrowType typ);

#### Returns

### go_arrow_type_from_str ()

    GOArrowType
    go_arrow_type_from_str (const char *name);

#### Returns

## Types and Values

### GOArrow

    typedef struct {
    	GOArrowType typ;
    	double a, b, c;
    } GOArrow;

#### Members

GOArrowType `typ`; | GOArrowType. |
double `a`; | first arrow head size parameter. |
double `b`; | second arrow head size parameter. |
double `c`; | third arrow head size parameter. |

### enum GOArrowType

#### Members

GO_ARROW_NONE | no arrow head. |
GO_ARROW_KITE | kite head. |
GO_ARROW_OVAL | oval head. |